
wrapper{
    display:grid;
    grid-gap: 10px;
    grid-template:
    "header header header" 40px
    "sidebar main sidebar" 40px
    "sidebar footer sidebar" 40px/ 1fr 1fr 1fr;
    background-color:red;
}

header { grid-area: header; }
aside { grid-area: sidebar; }
main { grid-area: main; }
footer { grid-area: footer; }